Subject: [Fot] Nomination

From: yellow04 via Fot <[email-masked]>
Date: Sat, 29 Jun 2019 09:36:24 -0400

It gives me great pleasure to nominate Hank Giffin to our group. Hank 
has been deeply involved in Triumphs since the '60's, he and his wife 
daily drove a TR3 for something like 8 years. He has been racing for 
years, has owned and raced a wide variety of vintage cars, and currently 
races, amongst other things, a Triumph powered Morgan. He serves as a 
board member with Mike Jackson on VDCA, and is the only person I know 
who has the right to respond to "Admiral". Plus, he has graciously 
offered to help with some lucky person who wants to own an ex-Abacus 
TR4.

Can I hear a second?

Hank Giffin  [email-masked]

Submitted by Henry Frye
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot